# class KToolBarRadioGroup | Class for group of radio butons in toolbar. More...
Definition | `#include <ktoolbarradiogroup.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KToolBarRadioGroup (KToolBar *_parent, const char *_name=0)
- ~KToolBarRadioGroup ()
- void addButton (int id)
- void removeButton (int id)

#### Public Slots

- void slotToggled (int)

## Detailed Description

KToolBarRadioGroup is class for group of radio butons in toolbar. Take toggle buttons which you already inserted into toolbar, create KToolBarRadioGroup instance and add them here. All buttons will emit signals toggled (bool) (or you can use sitgnal toggled (int id) from toolbar). When one button is set down, all others are unset. All buttons emit signals - those who "go down" and those who "go up".

KToolBarRadioGroup (KToolBar *_parent, const char *_name=0) | ### KToolBarRadioGroup

Constructor. Parent must be KToolBar .

~KToolBarRadioGroup () | ### ~KToolBarRadioGroup

Destructor.

void addButton (int id) | ### addButton

Adds button to group. Button cannot be unset by mouse clicks (you must press some other button tounset this one)

void removeButton (int id) | ### removeButton

Removes button from group, making it again toggle button (i.e. You can unset it with mouse).

void slotToggled (int) | ### slotToggled

[slot]

Internal - nothing for you here.

- Author: Sven Radej <radej@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.